let baseService='/servantappletservice';
// 授权后注册
const registerUserPath=baseService+'/auth/registerUser';
// 获取用户信息/user/getUserInfo
const getUserInfoPath=baseService+'/user/getUserInfo';

// 雇主端--查询保姆列表，传雇主登录id到employerId
const findByEmployerIdListPath=baseService+'/employerRelation/findByEmployerIdList';
// POST /relation/findByServantIdList  保姆端--查询雇主列表，传保姆登录id到servantId
const findByServantIdListPath=baseService+'/servantRelation/findByServantIdList';

//雇主端创建服务者，传 雇主id 雇主身份 保姆称呼 保姆工种，周期对象的星期 /employerRelation/createServantRelation
const createServantRelationPath=baseService+'/employerRelation/createServantRelation';

//POST /employerRelation/updateEmployerRelation 雇主端-修改雇佣关系, 传 雇佣关系编号 保姆称呼 保姆工种
const updateEmployerRelationPath=baseService+'/employerRelation/updateEmployerRelation';

//POST /servantRelation/relationEmployer  保姆端关联雇主，传 保姆id，雇主称呼，识别码
const relationEmployerPath=baseService+'/servantRelation/relationEmployer';

//POST /servantRelation/updateEmployerName   保姆端-修改雇主称呼,传 employerName employRelationNo
const updateEmployerNamePath=baseService+'/servantRelation/updateEmployerName';
//  servantRelation/getRelationInfo   获取雇佣关系详情（传雇佣关系编号）
const getRelationInfoPath=baseService+'/servantRelation/getRelationInfo';
// GET /servantlove/isChooseSubject  判断是否有阿姨偏好
const isChooseSerHobSubjectPath=baseService+'/servantlove/isChooseSubject';

// GET /servicestandard/isChooseSubject  判断是否有设置标准
const isChooseSerStanSubjectPath=baseService+'/servicestandard/isChooseSubject';

//GET /servantTask/selectTodayTaskItem  查询保姆当日任务前三条
const selectTodayTaskItemPath=baseService+'/servantTask/selectTodayTaskItem';
//查询每日任务
const getDailyTaskList = baseService + "/taskItem/selectDayTaskItem";
//完成编辑任务
const completeEditDailyTask = baseService + "/taskItem/createDayTaskItem";

//GET  /notice/isSetServiceAndTask  雇主端通知：是否设置服务标准--->是否设置任务提醒
const isSetServiceAndTaskPath=baseService+'/notice/isSetServiceAndTask';

//post /employerRelation/updateEmploySetState  雇主端-设置雇佣之间第一次通知完成状态:0没有设置，1已设置完成,传EmployRelationNo和EmploySetState
const updateEmploySetStatePath=baseService+'/employerRelation/updateEmploySetState';

//POST  /notice/getEmployerNotice   雇主端 工作站栏目通知，传 employRelationNo 和userId
const getEmployerNoticePath=baseService+'/notice/getEmployerNotice';

// POST /notice/getServantNotice    保姆端 工作站栏目通知，传 employRelationNo 和userId
const getServantNoticePath=baseService+'/notice/getServantNotice';

//POST  /notice/userReadNotice    读取通知 传 雇佣关系编号，用户id，通知类型
const userReadNoticePath=baseService+'/notice/userReadNotice';
//雇主保姆偏好的详情info
const customerDescribleInfo = baseService + "/servantlove/getStandardsDescribe";
//保姆端的偏好描述
const servantDescribleInfo = baseService + "/servicestandard/getStandardsDescribe";

//  POST /monthly/selectMonthlyReport 获取月报列表
const selectMonthlyReportPath = baseService + "/monthly/selectMonthlyReport";

//GET /monthly/selectMonthLyReportInfo   获取月报详细信息
const selectMonthLyReportInfoPath = baseService + "/monthly/selectMonthLyReportInfo";
//雇主的服务标准
const employerServiceStandard = baseService + "/servicestandard/insertNewServiceStandards";

export default{
registerUserPath,
getUserInfoPath,
findByEmployerIdListPath,
findByServantIdListPath,
createServantRelationPath,
updateEmployerRelationPath,
relationEmployerPath,
updateEmployerNamePath,
getRelationInfoPath,
isChooseSerHobSubjectPath,
isChooseSerStanSubjectPath,
selectTodayTaskItemPath,
getDailyTaskList,
completeEditDailyTask,
isSetServiceAndTaskPath,
updateEmploySetStatePath,
getEmployerNoticePath,
getServantNoticePath,
userReadNoticePath,
customerDescribleInfo,
servantDescribleInfo,
selectMonthlyReportPath,
selectMonthLyReportInfoPath,
employerServiceStandard
}